# Uses of Class
com.destroystokyo.paper.entity.TargetEntityInfo

Packages that use TargetEntityInfo
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of TargetEntityInfo in org.bukkit.entity

Methods in org.bukkit.entity that return TargetEntityInfo
Modifier and Type
Method
Description
`default TargetEntityInfo`
LivingEntity.`getTargetEntityInfo(int maxDistance)`
Gets information about the entity being targeted
`TargetEntityInfo`
LivingEntity.`getTargetEntityInfo(int maxDistance, boolean ignoreBlocks)`
Gets information about the entity being targeted